Bug 231687 - "eth0: Interrupt posted but not delivered -- IRQ blocked by another device?"
"eth0: Interrupt posted but not delivered -- IRQ blocked by another device?"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-09 17:48 EST by Ivo Sarak
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg and uname -a (24.82 KB, text/plain)
2007-04-01 09:50 EDT, Ivo Sarak
no flags Details
dmesg and uname -a (24.48 KB, text/plain)
2007-04-02 02:05 EDT, Ivo Sarak
no flags Details

  None (edit)
Description Ivo Sarak 2007-03-09 17:48:10 EST
Description of problem:
Usually within 24 hours the system will drop network connectivity or will lock up.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2911.6.4.fc6


How reproducible:
Always.

Steps to Reproduce:
1. Upgrade to latest FC6 kernel-2.6.19-1.2911.6.4.fc6
2. Let the box to run.
  
Actual results:
eth0: transmit timed out, tx_status 00 status e601.
  diagnostics: net 0ccc media 8880 dma 0000003a fifo 0000
eth0: Interrupt posted but not delivered -- IRQ blocked by another device?
  Flags; bus-master 1, dirty 295757(13) current 295757(13)
  Transmit list 00000000 vs. f7150a20.
  0: @f7150200  length 80000070 status 0c010070
  1: @f71502a0  length 80000070 status 0c010070
  2: @f7150340  length 8000005c status 0c01005c
  3: @f71503e0  length 8000005c status 0c01005c
  4: @f7150480  length 8000005c status 0c01005c
  5: @f7150520  length 8000005c status 0c01005c
  6: @f71505c0  length 80000065 status 0c010065
  7: @f7150660  length 80000065 status 0c010065
  8: @f7150700  length 80000065 status 0c010065
  9: @f71507a0  length 80000065 status 0c010065
  10: @f7150840  length 80000065 status 0c010065
  11: @f71508e0  length 80000065 status 8c010065
  12: @f7150980  length 80000065 status 8c010065
  13: @f7150a20  length 80000080 status 0c010080
  14: @f7150ac0  length 80000070 status 0c010070
  15: @f7150b60  length 80000070 status 0c010070

or system freeze with some "spinlock" error I didn't write down.

Expected results:
No issues.

Additional info:
At all started with the new kernel. I've rolled back to
kernel-2.6.19-1.2895.fc6. I've yet to receive issues with it.
Also, I tried with a new motherboard, but with the same results.
Comment 1 Chuck Ebbert 2007-03-09 18:19:53 EST
Please post the contents of /proc/interrupts
Comment 2 Ivo Sarak 2007-03-10 07:27:35 EST
[root@ragana ~]# uname -a
Linux ragana 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 19:28:18 EST 2007 i686 athlon
i386 GNU/Linux
[root@ragana ~]# cat /proc/interrupts 
           CPU0       CPU1       
  0:      47160   77413485   IO-APIC-edge      timer
  1:          0       1100   IO-APIC-edge      i8042
  7:          1          0   IO-APIC-edge      parport0
  8:          0          1   IO-APIC-edge      rtc
  9:          0          0   IO-APIC-fasteoi   acpi
 12:          0        124   IO-APIC-edge      i8042
 14:     124532       7250   IO-APIC-edge      ide0
 16:          0        138   IO-APIC-fasteoi   ohci_hcd:usb1, HDA Intel
 17:          0          0   IO-APIC-fasteoi   ehci_hcd:usb2
 18:          0          0   IO-APIC-fasteoi   libata
 19:          0          0   IO-APIC-fasteoi   libata
 20:         10     706781   IO-APIC-fasteoi   eth0
NMI:          0          0 
LOC:   77462964   77462963 
ERR:          1
MIS:          0
[root@ragana ~]# 

[root@ragana ~]# uname -a
Linux ragana 2.6.19-1.2911.6.4.fc6 #1 SMP Sat Feb 24 14:39:04 EST 2007 i686
athlon i386 GNU/Linux
[root@ragana ~]# cat /proc/interrupts 
           CPU0       CPU1       
  0:        242      49850   IO-APIC-edge      timer
  1:          0          8   IO-APIC-edge      i8042
  7:          1          0   IO-APIC-edge      parport0
  8:          0          1   IO-APIC-edge      rtc
  9:          0          0   IO-APIC-fasteoi   acpi
 12:          0        124   IO-APIC-edge      i8042
 14:       1188       5317   IO-APIC-edge      ide0
 16:          0        138   IO-APIC-fasteoi   ohci_hcd:usb1, HDA Intel
 17:          0          0   IO-APIC-fasteoi   ehci_hcd:usb2
 18:          0          0   IO-APIC-fasteoi   libata
 19:          0          0   IO-APIC-fasteoi   libata
 20:          2       2443   IO-APIC-fasteoi   eth0
NMI:          0          0 
LOC:      49919      49882 
ERR:          1
MIS:          0
[root@ragana ~]# 
Comment 3 Ivo Sarak 2007-03-13 08:57:47 EDT
The kernel-2.6.19-1.2911.6.5.fc6 seem not to have this issue.
Comment 4 Ivo Sarak 2007-04-01 09:48:52 EDT
Some new kernels have been released and this issue has developed as well.
As newer kernels keep crashing the box then I changed the Ethernet card.
I tossed out the 3com and added a no-name one:
00:00.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP55 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
00:04.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1)
00:05.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
00:05.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
00:06.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2)
00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0f.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 Ethernet controller: ADMtek NC100 Network Everywhere Fast Ethernet
10/100 (rev 11)
06:00.0 VGA compatible controller: ATI Technologies Inc ATI Radeon X1950 Pro
Primary (PCIE)
06:00.1 Display controller: ATI Technologies Inc ATI Radeon X1950 Pro Secondary
(PCIE)

The box is not falling over anymore, but still has errors.
Comment 5 Ivo Sarak 2007-04-01 09:50:28 EDT
Created attachment 151388 [details]
dmesg and uname -a
Comment 6 Ivo Sarak 2007-04-02 02:05:28 EDT
Created attachment 151403 [details]
dmesg and uname -a
Comment 7 Chuck Ebbert 2007-04-17 17:38:57 EDT
Please try kernel 2.6.20-1.2944.fc6
Comment 8 tibyke 2007-05-26 16:09:31 EDT
hello,

i can confirm this behavior with 2.6.20-1.2948.fc6 on a HP ML350g4p box:

00:00.0 Host bridge: Intel Corporation E7520 Memory Controller Hub (rev 0c)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev 0c)
00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 0c)
00:06.0 PCI bridge: Intel Corporation E7520 PCI Express Port C (rev 0c)
00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02)
00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02)
00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable Interrupt
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a)
00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 6300ESB PATA Storage Controller (rev 02)
01:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705_2 Gigabit
Ethernet (rev 03)
01:03.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
01:04.0 System peripheral: Compaq Computer Corporation Integrated Lights Out
Controller (rev 01)
01:04.2 System peripheral: Compaq Computer Corporation Integrated Lights Out 
Processor (rev 01)
05:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 09)
05:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 09)
06:01.0 PCI bridge: IBM PCI-X to PCI-X Bridge (rev 03)
07:04.0 RAID bus controller: Compaq Computer Corporation Smart Array 64xx (rev 01)
09:01.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)

[root@images log]# uname -a
Linux images 2.6.20-1.2948.fc6 #1 SMP Fri Apr 27 19:48:40 EDT 2007 i686 i686
i386 GNU/Linux

relevant logs:
May 26 03:50:25 images kernel: NETDEV WATCHDOG: eth1: transmit timed out
May 26 03:50:25 images kernel: eth1: transmit timed out, tx_status 00 status e601.
May 26 03:50:25 images kernel:   diagnostics: net 0ccc media 8880 dma 0000003a
fifo 8000
May 26 03:50:25 images kernel: eth1: Interrupt posted but not delivered -- IRQ
blocked by another device?
May 26 03:50:25 images kernel:   Flags; bus-master 1, dirty 5604384(0) current
5604384(0)
May 26 03:50:25 images kernel:   Transmit list 00000000 vs. f7171200.
May 26 03:50:25 images kernel:   0: @f7171200  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   1: @f71712a0  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   2: @f7171340  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   3: @f71713e0  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   4: @f7171480  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   5: @f7171520  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   6: @f71715c0  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   7: @f7171660  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   8: @f7171700  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   9: @f71717a0  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   10: @f7171840  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   11: @f71718e0  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   12: @f7171980  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   13: @f7171a20  length 8000002a status 0001002a
May 26 03:50:25 images kernel:   14: @f7171ac0  length 8000002a status 8001002a
May 26 03:50:25 images kernel:   15: @f7171b60  length 8000002a status 8001002a

t
Comment 9 Ivo Sarak 2007-06-02 04:18:56 EDT
I tracked this issue down to a too weak/failing PSU. I saw no issues anymore
after I replaced it.
Comment 10 tibyke 2007-06-02 04:43:00 EDT
that cant be my cause, since i have a redundant PSU system.

t
Comment 11 Chuck Ebbert 2007-06-26 14:23:29 EDT
Problem may be fixed by moving the card to another PCI slot. This has happened
all the way back to kernel 2.2 and moving the adapter seems to fix the problem.
Comment 12 Chuck Ebbert 2007-09-11 14:30:11 EDT
This may be fixed in kernel 2.6.22.4-45.fc6. Can someone please test?
Comment 13 Bug Zapper 2008-04-04 02:29:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 15:20:01 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.